import './Navigation.css';
import {HashRouter,Link,Route,Routes} from "react-router-dom";

import Login from "../Components/Login";
import Games from "../Pages/Games"
import Listener from "../Pages/Listener"
import Leagues from "../Pages/Leagues"
import Home from "../Pages/Home"
import React from "react";

class Navigation extends React.Component
{
  render()
  {
      return (
        <HashRouter>
          <div className="navBar">
            <Link className='navItem' to="/"><h2>Home</h2></Link>
            <Link className='navItem' to="/Leagues"><h2>Leagues</h2></Link>
            <Link className='navItem' to="/Games"><h2>My Games</h2></Link>
          </div>
          <Routes>
            <Route exact path="/" element={<Home/>}/>
            <Route exact path="/Leagues" element={<Leagues/>}/>
            <Route exact path="/Games" element={<Games/>}/>
            <Route exact path="/Login" element={<Login/>}/>
            <Route exact path="/Listener" element={<Listener/>}/>
          </Routes>     
        </HashRouter>    
      );
    }
}



export default Navigation;
